Bug 247538 - [NEW PORT] multimedia/elementary-videos: elementary video player ported from Elementary OS Linux
Summary: [NEW PORT] multimedia/elementary-videos: elementary video player ported from ...
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-06-25 14:59 UTC by Miguel Gocobachi
Modified: 2020-06-29 09:32 UTC (History)
5 users (show)

See Also:


Attachments
elementary video player ported from Elementary OS Linux (15.32 KB, patch)
2020-06-25 14:59 UTC, Miguel Gocobachi
no flags Details | Diff
name and makefile updated (15.10 KB, patch)
2020-06-25 19:21 UTC, Miguel Gocobachi
no flags Details | Diff
NLS updated (15.14 KB, patch)
2020-06-25 22:49 UTC, Miguel Gocobachi
no flags Details | Diff
fix for the NLS and gettext use (15.17 KB, patch)
2020-06-27 00:43 UTC, Miguel Gocobachi
miguel: maintainer-approval+
Details | Diff
USES=gettext (688 bytes, patch)
2020-06-29 09:20 UTC, Li-Wen Hsu
miguel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Gocobachi 2020-06-25 14:59:44 UTC
Created attachment 215935 [details]
elementary video player ported from Elementary OS Linux

This is a new port, I have ported the Video player made for Elementary OS Linux, the information can be found at https://github.com/elementary/videos I used the last tag available.
Comment 1 Fernando Apesteguía freebsd_committer 2020-06-25 16:41:25 UTC
^Triage: Maintainer-feedback flag (+) not required unless requested (?) first

Thanks for the patch!
Comment 2 Mateusz Piotrowski freebsd_committer 2020-06-25 18:46:39 UTC
Comment on attachment 215935 [details]
elementary video player ported from Elementary OS Linux

>Index: multimedia/elementary-video-player/Makefile
>===================================================================
>--- multimedia/elementary-video-player/Makefile	(nonexistent)
>+++ multimedia/elementary-video-player/Makefile	(working copy)
>@@ -0,0 +1,37 @@
>+# $FreeBSD$
>+
>+PORTNAME=		elementary-video-player
>+DISTVERSION=	2.7.1
>+PORTREVISION=	1

1. This should start with 0.
2. If its value is 0, then it can be omitted entirely for now.

>+CATEGORIES=		multimedia
>+
>+MAINTAINER=		miguel@gocobachi.dev
>+COMMENT=		Elementary OS video player
>+
>+LICENSE=		GPLv3
>+LICENSE_FILE=	${WRKSRC}/COPYING
>+
>+LIB_DEPENDS=	libgranite.so:x11-toolkits/granite \
>+				libclutter-1.0.so:graphics/clutter \
>+				libclutter-gst-3.0.so:multimedia/clutter-gst3 \
>+				libclutter-gtk-1.0.so:graphics/clutter-gtk3 \
>+				libgstbase-1.0.so:multimedia/gstreamer1 \
>+				libgee-0.8.so:devel/libgee
>+RUN_DEPENDS=	gstreamer1-plugins-core>=0:multimedia/gstreamer1-plugins-core
>+
>+USES=			gnome meson pkgconfig xorg \
>+				desktop-file-utils python:3.7
>+USE_GNOME=		gtk30 cairo gdkpixbuf2
>+USE_XORG=		x11
>+USE_GSTREAMER1=	yes
>+NLS_USES=		gettext

This looks as if it is referring to option NLS, but options are not defined in this Makefile. Maybe you're missing OPTIONS_DEFINE, etc.?

>+GLIB_SCHEMAS=	io.elementary.videos.gschema.xml
>+
>+USE_GITHUB=		yes
>+GH_ACCOUNT=		elementary
>+GH_PROJECT=		videos
>+GH_TAGNAME=		a4cdf46

DISTVERSION and DISTVERSIONPREFIX is  usually enough. If you need a tag/commit from between releases, it's better to use the output of `git describe --tags` and split it across DISTVERSION* variables.


Also, you might want to take a look at ports-mgmt/portfmt (which provides portfmt and portclippy) and ports-mgmt/portlint :)
Comment 3 Mateusz Piotrowski freebsd_committer 2020-06-25 18:48:12 UTC
Oh, and also one more thing: this piece of software is "usually" packages as elementary-videos: https://repology.org/project/elementary-videos/versions. It might be a good idea to call the port similarly on FreeBSD.
Comment 4 Miguel Gocobachi 2020-06-25 19:01:20 UTC
Hey Mateusz, the portlint complaint if I use gettext in the same section like I used for USES. So, and it did not complaint anymore when I added this way, can you please point to me what needs to be defined with OPTIONS_DEFINE? Thanks.

I can change the name to elementary-videos, that was my initial way of calling it but then I realize it is a bit confuse to understand what it is, very generic "videos" as name.
Comment 5 Miguel Gocobachi 2020-06-25 19:21:28 UTC
Created attachment 215943 [details]
name and makefile updated
Comment 6 Miguel Gocobachi 2020-06-25 20:31:41 UTC
Comment on attachment 215943 [details]
name and makefile updated

>Index: multimedia/elementary-videos/Makefile
>===================================================================
>--- multimedia/elementary-videos/Makefile	(nonexistent)
>+++ multimedia/elementary-videos/Makefile	(working copy)
>@@ -0,0 +1,33 @@
>+# $FreeBSD$
>+
>+PORTNAME=	elementary-videos
>+DISTVERSION=	2.7.1
>+CATEGORIES=	multimedia
>+
>+MAINTAINER=	miguel@gocobachi.dev
>+COMMENT=	Elementary OS video player
>+
>+LICENSE=	GPLv3
>+LICENSE_FILE=	${WRKSRC}/COPYING
>+
>+LIB_DEPENDS=	libclutter-1.0.so:graphics/clutter \
>+		libclutter-gst-3.0.so:multimedia/clutter-gst3 \
>+		libclutter-gtk-1.0.so:graphics/clutter-gtk3 \
>+		libgee-0.8.so:devel/libgee \
>+		libgranite.so:x11-toolkits/granite \
>+		libgstbase-1.0.so:multimedia/gstreamer1
>+RUN_DEPENDS=	gstreamer1-plugins-core>=0:multimedia/gstreamer1-plugins-core
>+
>+USES=		desktop-file-utils gnome meson pkgconfig python:3.7 xorg

So the gettext needs to be in USES to avoid the NLS, not even in the USE_GNOME, however portlint complaints with the following:

WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.

Any suggestions?

Thanks!

>+USE_GNOME=	cairo gdkpixbuf2 gtk30 gettext
>+USE_XORG=	x11
>+USE_GSTREAMER1=	yes
>+GLIB_SCHEMAS=	io.elementary.videos.gschema.xml
>+
>+USE_GITHUB=	yes
>+GH_ACCOUNT=	elementary
>+GH_PROJECT=	videos
>+
>+INSTALLS_ICONS=	yes
>+
>+.include <bsd.port.mk>
>
>Property changes on: multimedia/elementary-videos/Makefile
>___________________________________________________________________
>Added: svn:eol-style
>## -0,0 +1 ##
>+native
>\ No newline at end of property
>Added: svn:keywords
>## -0,0 +1 ##
>+FreeBSD=%H
>\ No newline at end of property
>Added: svn:mime-type
>## -0,0 +1 ##
>+text/plain
>\ No newline at end of property
>Index: multimedia/elementary-videos/distinfo
>===================================================================
>--- multimedia/elementary-videos/distinfo	(nonexistent)
>+++ multimedia/elementary-videos/distinfo	(working copy)
>@@ -0,0 +1,3 @@
>+TIMESTAMP = 1593112577
>+SHA256 (elementary-videos-2.7.1_GH0.tar.gz) = db34680b4d2c383b8db838e893a39e41c01d84f6450db12b886fa1bdee69c7f5
>+SIZE (elementary-videos-2.7.1_GH0.tar.gz) = 2529110
>
>Property changes on: multimedia/elementary-videos/distinfo
>___________________________________________________________________
>Added: fbsd:nokeywords
>## -0,0 +1 ##
>+yes
>\ No newline at end of property
>Added: svn:eol-style
>## -0,0 +1 ##
>+native
>\ No newline at end of property
>Added: svn:mime-type
>## -0,0 +1 ##
>+text/plain
>\ No newline at end of property
>Index: multimedia/elementary-videos/files/patch-data_io.elementary.videos.desktop.in
>===================================================================
>--- multimedia/elementary-videos/files/patch-data_io.elementary.videos.desktop.in	(nonexistent)
>+++ multimedia/elementary-videos/files/patch-data_io.elementary.videos.desktop.in	(working copy)
>@@ -0,0 +1,10 @@
>+--- data/io.elementary.videos.desktop.in.orig	2020-06-25 10:18:27 UTC
>++++ data/io.elementary.videos.desktop.in
>+@@ -1,6 +1,6 @@
>+ [Desktop Entry]
>+ Version=1.0
>+-Name=Videos
>++Name=Elementary Videos
>+ GenericName=Video Player
>+ Comment=Watch videos and movies
>+ Exec=io.elementary.videos %U
>
>Property changes on: multimedia/elementary-videos/files/patch-data_io.elementary.videos.desktop.in
>___________________________________________________________________
>Added: fbsd:nokeywords
>## -0,0 +1 ##
>+yes
>\ No newline at end of property
>Added: svn:eol-style
>## -0,0 +1 ##
>+native
>\ No newline at end of property
>Added: svn:mime-type
>## -0,0 +1 ##
>+text/plain
>\ No newline at end of property
>Index: multimedia/elementary-videos/pkg-descr
>===================================================================
>--- multimedia/elementary-videos/pkg-descr	(nonexistent)
>+++ multimedia/elementary-videos/pkg-descr	(working copy)
>@@ -0,0 +1,9 @@
>+Smart and simple video viewing with a library,
>+thumbnail previews on the seekbar, playlists,
>+subtitle support, smart fullscreen,
>+and the ability to resume what was last playing.
>+
>+This Video player and library app
>+has been designed by elementary OS
>+
>+WWW: https://github.com/elementary/videos/
>
>Property changes on: multimedia/elementary-videos/pkg-descr
>___________________________________________________________________
>Added: fbsd:nokeywords
>## -0,0 +1 ##
>+yes
>\ No newline at end of property
>Added: svn:eol-style
>## -0,0 +1 ##
>+native
>\ No newline at end of property
>Added: svn:mime-type
>## -0,0 +1 ##
>+text/plain
>\ No newline at end of property
>Index: multimedia/elementary-videos/pkg-plist
>===================================================================
>--- multimedia/elementary-videos/pkg-plist	(nonexistent)
>+++ multimedia/elementary-videos/pkg-plist	(working copy)
>@@ -0,0 +1,201 @@
>+bin/io.elementary.videos
>+share/applications/io.elementary.videos.desktop
>+share/glib-2.0/schemas/io.elementary.videos.gschema.xml
>+share/locale/aa/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ab/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ae/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/af/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ak/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/am/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/an/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ar/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/as/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ast/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/av/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ay/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/az/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ba/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/be/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/bg/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/bh/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/bi/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/bm/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/bn/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/bo/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/br/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/bs/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ca/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ce/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ch/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ckb/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/co/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/cr/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/cs/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/cu/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/cv/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/cy/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/da/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/de/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/dv/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/dz/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ee/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/el/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/en_AU/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/en_CA/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/en_GB/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/eo/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/es/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/et/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/eu/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/fa/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ff/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/fi/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/fj/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/fo/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/fr/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/fr_CA/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/fy/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ga/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/gd/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/gl/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/gn/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/gu/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/gv/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ha/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/he/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/hi/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ho/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/hr/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ht/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/hu/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/hy/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/hz/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ia/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/id/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ie/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ig/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ii/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ik/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/io/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/is/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/it/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/iu/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ja/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/jv/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ka/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/kg/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ki/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/kj/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/kk/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/kl/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/km/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/kn/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ko/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/kr/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ks/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ku/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/kv/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/kw/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ky/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/la/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/lb/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/lg/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/li/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ln/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/lo/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/lt/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/lu/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/lv/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/mg/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/mh/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/mi/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/mk/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ml/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/mn/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/mo/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/mr/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ms/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/mt/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/my/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/na/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/nb/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/nd/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ne/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ng/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/nl/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/nn/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/no/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/nr/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/nv/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ny/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/oc/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/oj/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/om/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/or/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/os/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/pa/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/pi/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/pl/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ps/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/pt/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/pt_BR/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/qu/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/rm/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/rn/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ro/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ru/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/rue/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/rw/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/sa/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/sc/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/sd/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/se/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/sg/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/si/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/sk/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/sl/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/sm/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/sma/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/sn/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/so/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/sq/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/sr/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ss/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/st/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/su/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/sv/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/sw/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/szl/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ta/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/te/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/tg/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/th/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ti/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/tk/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/tl/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/tn/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/to/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/tr/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ts/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/tt/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/tw/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ty/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ug/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/uk/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ur/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/uz/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/ve/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/vi/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/vo/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/wa/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/wo/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/xh/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/yi/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/yo/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/za/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/zh/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/zh_CN/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/zh_HK/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/zh_TW/LC_MESSAGES/io.elementary.videos.mo
>+share/locale/zu/LC_MESSAGES/io.elementary.videos.mo
>+share/metainfo/io.elementary.videos.appdata.xml
>
>Property changes on: multimedia/elementary-videos/pkg-plist
>___________________________________________________________________
>Added: fbsd:nokeywords
>## -0,0 +1 ##
>+yes
>\ No newline at end of property
>Added: svn:eol-style
>## -0,0 +1 ##
>+native
>\ No newline at end of property
>Added: svn:mime-type
>## -0,0 +1 ##
>+text/plain
>\ No newline at end of property
Comment 7 Miguel Gocobachi 2020-06-25 20:59:59 UTC
I been looking around other ports, and I found this piece of configuration:

NLS_USES=       gettext
NLS_CONFIGURE_ENABLE=   nls

gphoto2 uses it, so it enables NLS on gettext by default, but it should not be an option for this package, which pretty much is how it works right now. portlint does not complain. is it fine this one? if it is I will upload the last patch file.

Thanks for your patience.
Comment 8 Miguel Gocobachi 2020-06-25 22:49:47 UTC
Created attachment 215949 [details]
NLS updated
Comment 9 Mateusz Piotrowski freebsd_committer 2020-06-26 22:09:33 UTC
(In reply to Miguel Gocobachi from comment #4)

When it comes to NLS, see https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/using-gettext.html

The new name for the port is much better in my opinion :)

I'm currently running a poudriere on the patch now.

Would you mind running portclippy and portfmt on the patch and submitting it at https://reviews.freebsd.org/? The review process will be much easier! :)

Thanks for your work!
Comment 10 Miguel Gocobachi 2020-06-27 00:43:50 UTC
Created attachment 215971 [details]
fix for the NLS and gettext use

Mateusz, I do not have access yet to reviews.freebsd.org, I created an account but it says waiting for acceptance. So, here is the patch with the Makefile and the portfmt applied on it.
Comment 11 Mateusz Piotrowski freebsd_committer 2020-06-27 07:54:26 UTC
(In reply to Miguel Gocobachi from comment #10)

Oh, right, the registration has to be verified by our phabricator admins. Sorry for the trouble!

Sweet! Thanks!

Now, let's see if it builds nicely in Poudriere... ;)
Comment 12 commit-hook freebsd_committer 2020-06-28 08:06:28 UTC
A commit references this bug:

Author: 0mp
Date: Sun Jun 28 08:05:57 UTC 2020
New revision: 540688
URL: https://svnweb.freebsd.org/changeset/ports/540688

Log:
  New port: multimedia/elementary-videos

  Smart and simple video viewing with a library,
  thumbnail previews on the seekbar, playlists,
  subtitle support, smart fullscreen,
  and the ability to resume what was last playing.

  This Video player and library app
  has been designed by elementary OS.

  WWW: https://github.com/elementary/videos/

  PR:		247538
  Submitted by:	Miguel Gocobachi <miguel@gocobachi.dev>

Changes:
  head/multimedia/Makefile
  head/multimedia/elementary-videos/
  head/multimedia/elementary-videos/Makefile
  head/multimedia/elementary-videos/distinfo
  head/multimedia/elementary-videos/files/
  head/multimedia/elementary-videos/files/patch-data_io.elementary.videos.desktop.in
  head/multimedia/elementary-videos/files/patch-meson.build
  head/multimedia/elementary-videos/pkg-descr
  head/multimedia/elementary-videos/pkg-plist
Comment 13 Mateusz Piotrowski freebsd_committer 2020-06-28 08:07:54 UTC
Thanks a lot for the submission!

Here's what I changed before committing:

- Add valac to BUILD_DEPENDS. (detected by build phase in poudriere)
- No need to add NLS to OPTIONS_DEFAULT. NLS is always on by default, similarly to, e.g., DOCS and EXAMPLES.
- Pet portclippy and portfmt
- No need to include share/glib-2.0/schemas/io.elementary.videos.gschema.xml to pkg-plist. It is already being tracked by the use of GLIB_SCHEMAS (detected by check-plist phase in poudriere)
- Add a missing period in pkg-descr.
- Drop USES=python. This can be dropped entirely as the sole Python script is patched out of the build as it is there only to compile glib schemas, which is handled by our ports system anyway via GLIB_SCHEMAS.
Comment 14 Li-Wen Hsu freebsd_committer 2020-06-29 09:20:50 UTC
Created attachment 216028 [details]
USES=gettext

Optional NLS needs more tweaking for not build/install gettext stuff, currently disabling NLS will cause error in configure phase.

Please check the attached patch.
Comment 15 Li-Wen Hsu freebsd_committer 2020-06-29 09:21:25 UTC
Ask maintainer approval.
Comment 16 commit-hook freebsd_committer 2020-06-29 09:30:07 UTC
A commit references this bug:

Author: lwhsu
Date: Mon Jun 29 09:29:47 UTC 2020
New revision: 540764
URL: https://svnweb.freebsd.org/changeset/ports/540764

Log:
  USES+=gettext unconditionally, making NLS optional still needs more work

  PR:		247538
  Approved by:	Miguel Gocobachi <miguel@gocobachi.dev> (maintainer)

Changes:
  head/graphics/elementary-photos/Makefile
Comment 17 commit-hook freebsd_committer 2020-06-29 09:32:09 UTC
A commit references this bug:

Author: lwhsu
Date: Mon Jun 29 09:31:29 UTC 2020
New revision: 540765
URL: https://svnweb.freebsd.org/changeset/ports/540765

Log:
  USES+=gettext unconditionally, making NLS optional still needs more work

  PR:		247538
  Approved by:	Miguel Gocobachi <miguel@gocobachi.dev> (maintainer)

Changes:
  head/multimedia/elementary-videos/Makefile